/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by client-gen. DO NOT EDIT.

package v1

import (
	v1 "github.com/openshift/cluster-version-operator/pkg/apis/clusterversion.openshift.io/v1"
	scheme "github.com/openshift/cluster-version-operator/pkg/generated/clientset/versioned/scheme"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// CVOConfigsGetter has a method to return a CVOConfigInterface.
// A group's client should implement this interface.
type CVOConfigsGetter interface {
	CVOConfigs(namespace string) CVOConfigInterface
}

// CVOConfigInterface has methods to work with CVOConfig resources.
type CVOConfigInterface interface {
	Create(*v1.CVOConfig) (*v1.CVOConfig, error)
	Update(*v1.CVOConfig) (*v1.CVOConfig, error)
	Delete(name string, options *metav1.DeleteOptions) error
	DeleteCollection(options *metav1.DeleteOptions, listOptions metav1.ListOptions) error
	Get(name string, options metav1.GetOptions) (*v1.CVOConfig, error)
	List(opts metav1.ListOptions) (*v1.CVOConfigList, error)
	Watch(opts metav1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1.CVOConfig, err error)
	CVOConfigExpansion
}

// cVOConfigs implements CVOConfigInterface
type cVOConfigs struct {
	client rest.Interface
	ns     string
}

// newCVOConfigs returns a CVOConfigs
func newCVOConfigs(c *ClusterversionV1Client, namespace string) *cVOConfigs {
	return &cVOConfigs{
		client: c.RESTClient(),
		ns:     namespace,
	}
}

// Get takes name of the cVOConfig, and returns the corresponding cVOConfig object, and an error if there is any.
func (c *cVOConfigs) Get(name string, options metav1.GetOptions) (result *v1.CVOConfig, err error) {
	result = &v1.CVOConfig{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("cvoconfigs").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of CVOConfigs that match those selectors.
func (c *cVOConfigs) List(opts metav1.ListOptions) (result *v1.CVOConfigList, err error) {
	result = &v1.CVOConfigList{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("cvoconfigs").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested cVOConfigs.
func (c *cVOConfigs) Watch(opts metav1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Namespace(c.ns).
		Resource("cvoconfigs").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a cVOConfig and creates it.  Returns the server's representation of the cVOConfig, and an error, if there is any.
func (c *cVOConfigs) Create(cVOConfig *v1.CVOConfig) (result *v1.CVOConfig, err error) {
	result = &v1.CVOConfig{}
	err = c.client.Post().
		Namespace(c.ns).
		Resource("cvoconfigs").
		Body(cVOConfig).
		Do().
		Into(result)
	return
}

// Update takes the representation of a cVOConfig and updates it. Returns the server's representation of the cVOConfig, and an error, if there is any.
func (c *cVOConfigs) Update(cVOConfig *v1.CVOConfig) (result *v1.CVOConfig, err error) {
	result = &v1.CVOConfig{}
	err = c.client.Put().
		Namespace(c.ns).
		Resource("cvoconfigs").
		Name(cVOConfig.Name).
		Body(cVOConfig).
		Do().
		Into(result)
	return
}

// Delete takes name of the cVOConfig and deletes it. Returns an error if one occurs.
func (c *cVOConfigs) Delete(name string, options *metav1.DeleteOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("cvoconfigs").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *cVOConfigs) DeleteCollection(options *metav1.DeleteOptions, listOptions metav1.ListOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("cvoconfigs").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched cVOConfig.
func (c *cVOConfigs) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1.CVOConfig, err error) {
	result = &v1.CVOConfig{}
	err = c.client.Patch(pt).
		Namespace(c.ns).
		Resource("cvoconfigs").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
