/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by lister-gen. DO NOT EDIT.

package v1

import (
	v1 "github.com/openshift/cluster-version-operator/pkg/apis/operatorstatus.openshift.io/v1"
	"k8s.io/apimachinery/pkg/api/errors"
	"k8s.io/apimachinery/pkg/labels"
	"k8s.io/client-go/tools/cache"
)

// OperatorStatusLister helps list OperatorStatuses.
type OperatorStatusLister interface {
	// List lists all OperatorStatuses in the indexer.
	List(selector labels.Selector) (ret []*v1.OperatorStatus, err error)
	// OperatorStatuses returns an object that can list and get OperatorStatuses.
	OperatorStatuses(namespace string) OperatorStatusNamespaceLister
	OperatorStatusListerExpansion
}

// operatorStatusLister implements the OperatorStatusLister interface.
type operatorStatusLister struct {
	indexer cache.Indexer
}

// NewOperatorStatusLister returns a new OperatorStatusLister.
func NewOperatorStatusLister(indexer cache.Indexer) OperatorStatusLister {
	return &operatorStatusLister{indexer: indexer}
}

// List lists all OperatorStatuses in the indexer.
func (s *operatorStatusLister) List(selector labels.Selector) (ret []*v1.OperatorStatus, err error) {
	err = cache.ListAll(s.indexer, selector, func(m interface{}) {
		ret = append(ret, m.(*v1.OperatorStatus))
	})
	return ret, err
}

// OperatorStatuses returns an object that can list and get OperatorStatuses.
func (s *operatorStatusLister) OperatorStatuses(namespace string) OperatorStatusNamespaceLister {
	return operatorStatusNamespaceLister{indexer: s.indexer, namespace: namespace}
}

// OperatorStatusNamespaceLister helps list and get OperatorStatuses.
type OperatorStatusNamespaceLister interface {
	// List lists all OperatorStatuses in the indexer for a given namespace.
	List(selector labels.Selector) (ret []*v1.OperatorStatus, err error)
	// Get retrieves the OperatorStatus from the indexer for a given namespace and name.
	Get(name string) (*v1.OperatorStatus, error)
	OperatorStatusNamespaceListerExpansion
}

// operatorStatusNamespaceLister implements the OperatorStatusNamespaceLister
// interface.
type operatorStatusNamespaceLister struct {
	indexer   cache.Indexer
	namespace string
}

// List lists all OperatorStatuses in the indexer for a given namespace.
func (s operatorStatusNamespaceLister) List(selector labels.Selector) (ret []*v1.OperatorStatus, err error) {
	err = cache.ListAllByNamespace(s.indexer, s.namespace, selector, func(m interface{}) {
		ret = append(ret, m.(*v1.OperatorStatus))
	})
	return ret, err
}

// Get retrieves the OperatorStatus from the indexer for a given namespace and name.
func (s operatorStatusNamespaceLister) Get(name string) (*v1.OperatorStatus, error) {
	obj, exists, err := s.indexer.GetByKey(s.namespace + "/" + name)
	if err != nil {
		return nil, err
	}
	if !exists {
		return nil, errors.NewNotFound(v1.Resource("operatorstatus"), name)
	}
	return obj.(*v1.OperatorStatus), nil
}
