// +build !ignore_autogenerated

/*
Copyright 2018 The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

// This file was autogenerated by conversion-gen. Do not edit it manually!

package v1alpha1

import (
	unsafe "unsafe"

	v1 "k8s.io/api/core/v1"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
	intstr "k8s.io/apimachinery/pkg/util/intstr"
	cluster "sigs.k8s.io/cluster-api/pkg/apis/cluster"
	common "sigs.k8s.io/cluster-api/pkg/apis/cluster/common"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(scheme *runtime.Scheme) error {
	return scheme.AddGeneratedConversionFuncs(
		Convert_v1alpha1_APIEndpoint_To_cluster_APIEndpoint,
		Convert_cluster_APIEndpoint_To_v1alpha1_APIEndpoint,
		Convert_v1alpha1_Cluster_To_cluster_Cluster,
		Convert_cluster_Cluster_To_v1alpha1_Cluster,
		Convert_v1alpha1_ClusterList_To_cluster_ClusterList,
		Convert_cluster_ClusterList_To_v1alpha1_ClusterList,
		Convert_v1alpha1_ClusterNetworkingConfig_To_cluster_ClusterNetworkingConfig,
		Convert_cluster_ClusterNetworkingConfig_To_v1alpha1_ClusterNetworkingConfig,
		Convert_v1alpha1_ClusterSpec_To_cluster_ClusterSpec,
		Convert_cluster_ClusterSpec_To_v1alpha1_ClusterSpec,
		Convert_v1alpha1_ClusterStatus_To_cluster_ClusterStatus,
		Convert_cluster_ClusterStatus_To_v1alpha1_ClusterStatus,
		Convert_v1alpha1_ClusterStatusStrategy_To_cluster_ClusterStatusStrategy,
		Convert_cluster_ClusterStatusStrategy_To_v1alpha1_ClusterStatusStrategy,
		Convert_v1alpha1_ClusterStrategy_To_cluster_ClusterStrategy,
		Convert_cluster_ClusterStrategy_To_v1alpha1_ClusterStrategy,
		Convert_v1alpha1_Machine_To_cluster_Machine,
		Convert_cluster_Machine_To_v1alpha1_Machine,
		Convert_v1alpha1_MachineDeployment_To_cluster_MachineDeployment,
		Convert_cluster_MachineDeployment_To_v1alpha1_MachineDeployment,
		Convert_v1alpha1_MachineDeploymentList_To_cluster_MachineDeploymentList,
		Convert_cluster_MachineDeploymentList_To_v1alpha1_MachineDeploymentList,
		Convert_v1alpha1_MachineDeploymentSpec_To_cluster_MachineDeploymentSpec,
		Convert_cluster_MachineDeploymentSpec_To_v1alpha1_MachineDeploymentSpec,
		Convert_v1alpha1_MachineDeploymentStatus_To_cluster_MachineDeploymentStatus,
		Convert_cluster_MachineDeploymentStatus_To_v1alpha1_MachineDeploymentStatus,
		Convert_v1alpha1_MachineDeploymentStrategy_To_cluster_MachineDeploymentStrategy,
		Convert_cluster_MachineDeploymentStrategy_To_v1alpha1_MachineDeploymentStrategy,
		Convert_v1alpha1_MachineDeploymentValidationStatusStrategy_To_cluster_MachineDeploymentValidationStatusStrategy,
		Convert_cluster_MachineDeploymentValidationStatusStrategy_To_v1alpha1_MachineDeploymentValidationStatusStrategy,
		Convert_v1alpha1_MachineDeploymentValidationStrategy_To_cluster_MachineDeploymentValidationStrategy,
		Convert_cluster_MachineDeploymentValidationStrategy_To_v1alpha1_MachineDeploymentValidationStrategy,
		Convert_v1alpha1_MachineList_To_cluster_MachineList,
		Convert_cluster_MachineList_To_v1alpha1_MachineList,
		Convert_v1alpha1_MachineRollingUpdateDeployment_To_cluster_MachineRollingUpdateDeployment,
		Convert_cluster_MachineRollingUpdateDeployment_To_v1alpha1_MachineRollingUpdateDeployment,
		Convert_v1alpha1_MachineSet_To_cluster_MachineSet,
		Convert_cluster_MachineSet_To_v1alpha1_MachineSet,
		Convert_v1alpha1_MachineSetList_To_cluster_MachineSetList,
		Convert_cluster_MachineSetList_To_v1alpha1_MachineSetList,
		Convert_v1alpha1_MachineSetSpec_To_cluster_MachineSetSpec,
		Convert_cluster_MachineSetSpec_To_v1alpha1_MachineSetSpec,
		Convert_v1alpha1_MachineSetStatus_To_cluster_MachineSetStatus,
		Convert_cluster_MachineSetStatus_To_v1alpha1_MachineSetStatus,
		Convert_v1alpha1_MachineSetStatusStrategy_To_cluster_MachineSetStatusStrategy,
		Convert_cluster_MachineSetStatusStrategy_To_v1alpha1_MachineSetStatusStrategy,
		Convert_v1alpha1_MachineSetStrategy_To_cluster_MachineSetStrategy,
		Convert_cluster_MachineSetStrategy_To_v1alpha1_MachineSetStrategy,
		Convert_v1alpha1_MachineSpec_To_cluster_MachineSpec,
		Convert_cluster_MachineSpec_To_v1alpha1_MachineSpec,
		Convert_v1alpha1_MachineStatus_To_cluster_MachineStatus,
		Convert_cluster_MachineStatus_To_v1alpha1_MachineStatus,
		Convert_v1alpha1_MachineStatusStrategy_To_cluster_MachineStatusStrategy,
		Convert_cluster_MachineStatusStrategy_To_v1alpha1_MachineStatusStrategy,
		Convert_v1alpha1_MachineStrategy_To_cluster_MachineStrategy,
		Convert_cluster_MachineStrategy_To_v1alpha1_MachineStrategy,
		Convert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec,
		Convert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec,
		Convert_v1alpha1_MachineVersionInfo_To_cluster_MachineVersionInfo,
		Convert_cluster_MachineVersionInfo_To_v1alpha1_MachineVersionInfo,
		Convert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges,
		Convert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges,
		Convert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig,
		Convert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig,
		Convert_v1alpha1_ProviderConfigSource_To_cluster_ProviderConfigSource,
		Convert_cluster_ProviderConfigSource_To_v1alpha1_ProviderConfigSource,
	)
}

func autoConvert_v1alpha1_APIEndpoint_To_cluster_APIEndpoint(in *APIEndpoint, out *cluster.APIEndpoint, s conversion.Scope) error {
	out.Host = in.Host
	out.Port = in.Port
	return nil
}

// Convert_v1alpha1_APIEndpoint_To_cluster_APIEndpoint is an autogenerated conversion function.
func Convert_v1alpha1_APIEndpoint_To_cluster_APIEndpoint(in *APIEndpoint, out *cluster.APIEndpoint, s conversion.Scope) error {
	return autoConvert_v1alpha1_APIEndpoint_To_cluster_APIEndpoint(in, out, s)
}

func autoConvert_cluster_APIEndpoint_To_v1alpha1_APIEndpoint(in *cluster.APIEndpoint, out *APIEndpoint, s conversion.Scope) error {
	out.Host = in.Host
	out.Port = in.Port
	return nil
}

// Convert_cluster_APIEndpoint_To_v1alpha1_APIEndpoint is an autogenerated conversion function.
func Convert_cluster_APIEndpoint_To_v1alpha1_APIEndpoint(in *cluster.APIEndpoint, out *APIEndpoint, s conversion.Scope) error {
	return autoConvert_cluster_APIEndpoint_To_v1alpha1_APIEndpoint(in, out, s)
}

func autoConvert_v1alpha1_Cluster_To_cluster_Cluster(in *Cluster, out *cluster.Cluster, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_ClusterSpec_To_cluster_ClusterSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_ClusterStatus_To_cluster_ClusterStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_Cluster_To_cluster_Cluster is an autogenerated conversion function.
func Convert_v1alpha1_Cluster_To_cluster_Cluster(in *Cluster, out *cluster.Cluster, s conversion.Scope) error {
	return autoConvert_v1alpha1_Cluster_To_cluster_Cluster(in, out, s)
}

func autoConvert_cluster_Cluster_To_v1alpha1_Cluster(in *cluster.Cluster, out *Cluster, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_cluster_ClusterSpec_To_v1alpha1_ClusterSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_cluster_ClusterStatus_To_v1alpha1_ClusterStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_Cluster_To_v1alpha1_Cluster is an autogenerated conversion function.
func Convert_cluster_Cluster_To_v1alpha1_Cluster(in *cluster.Cluster, out *Cluster, s conversion.Scope) error {
	return autoConvert_cluster_Cluster_To_v1alpha1_Cluster(in, out, s)
}

func autoConvert_v1alpha1_ClusterList_To_cluster_ClusterList(in *ClusterList, out *cluster.ClusterList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]cluster.Cluster)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_ClusterList_To_cluster_ClusterList is an autogenerated conversion function.
func Convert_v1alpha1_ClusterList_To_cluster_ClusterList(in *ClusterList, out *cluster.ClusterList, s conversion.Scope) error {
	return autoConvert_v1alpha1_ClusterList_To_cluster_ClusterList(in, out, s)
}

func autoConvert_cluster_ClusterList_To_v1alpha1_ClusterList(in *cluster.ClusterList, out *ClusterList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]Cluster)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_cluster_ClusterList_To_v1alpha1_ClusterList is an autogenerated conversion function.
func Convert_cluster_ClusterList_To_v1alpha1_ClusterList(in *cluster.ClusterList, out *ClusterList, s conversion.Scope) error {
	return autoConvert_cluster_ClusterList_To_v1alpha1_ClusterList(in, out, s)
}

func autoConvert_v1alpha1_ClusterNetworkingConfig_To_cluster_ClusterNetworkingConfig(in *ClusterNetworkingConfig, out *cluster.ClusterNetworkingConfig, s conversion.Scope) error {
	if err := Convert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges(&in.Services, &out.Services, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges(&in.Pods, &out.Pods, s); err != nil {
		return err
	}
	out.ServiceDomain = in.ServiceDomain
	return nil
}

// Convert_v1alpha1_ClusterNetworkingConfig_To_cluster_ClusterNetworkingConfig is an autogenerated conversion function.
func Convert_v1alpha1_ClusterNetworkingConfig_To_cluster_ClusterNetworkingConfig(in *ClusterNetworkingConfig, out *cluster.ClusterNetworkingConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_ClusterNetworkingConfig_To_cluster_ClusterNetworkingConfig(in, out, s)
}

func autoConvert_cluster_ClusterNetworkingConfig_To_v1alpha1_ClusterNetworkingConfig(in *cluster.ClusterNetworkingConfig, out *ClusterNetworkingConfig, s conversion.Scope) error {
	if err := Convert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges(&in.Services, &out.Services, s); err != nil {
		return err
	}
	if err := Convert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges(&in.Pods, &out.Pods, s); err != nil {
		return err
	}
	out.ServiceDomain = in.ServiceDomain
	return nil
}

// Convert_cluster_ClusterNetworkingConfig_To_v1alpha1_ClusterNetworkingConfig is an autogenerated conversion function.
func Convert_cluster_ClusterNetworkingConfig_To_v1alpha1_ClusterNetworkingConfig(in *cluster.ClusterNetworkingConfig, out *ClusterNetworkingConfig, s conversion.Scope) error {
	return autoConvert_cluster_ClusterNetworkingConfig_To_v1alpha1_ClusterNetworkingConfig(in, out, s)
}

func autoConvert_v1alpha1_ClusterSpec_To_cluster_ClusterSpec(in *ClusterSpec, out *cluster.ClusterSpec, s conversion.Scope) error {
	if err := Convert_v1alpha1_ClusterNetworkingConfig_To_cluster_ClusterNetworkingConfig(&in.ClusterNetwork, &out.ClusterNetwork, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig(&in.ProviderConfig, &out.ProviderConfig, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_ClusterSpec_To_cluster_ClusterSpec is an autogenerated conversion function.
func Convert_v1alpha1_ClusterSpec_To_cluster_ClusterSpec(in *ClusterSpec, out *cluster.ClusterSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_ClusterSpec_To_cluster_ClusterSpec(in, out, s)
}

func autoConvert_cluster_ClusterSpec_To_v1alpha1_ClusterSpec(in *cluster.ClusterSpec, out *ClusterSpec, s conversion.Scope) error {
	if err := Convert_cluster_ClusterNetworkingConfig_To_v1alpha1_ClusterNetworkingConfig(&in.ClusterNetwork, &out.ClusterNetwork, s); err != nil {
		return err
	}
	if err := Convert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig(&in.ProviderConfig, &out.ProviderConfig, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_ClusterSpec_To_v1alpha1_ClusterSpec is an autogenerated conversion function.
func Convert_cluster_ClusterSpec_To_v1alpha1_ClusterSpec(in *cluster.ClusterSpec, out *ClusterSpec, s conversion.Scope) error {
	return autoConvert_cluster_ClusterSpec_To_v1alpha1_ClusterSpec(in, out, s)
}

func autoConvert_v1alpha1_ClusterStatus_To_cluster_ClusterStatus(in *ClusterStatus, out *cluster.ClusterStatus, s conversion.Scope) error {
	out.APIEndpoints = *(*[]cluster.APIEndpoint)(unsafe.Pointer(&in.APIEndpoints))
	out.ErrorReason = common.ClusterStatusError(in.ErrorReason)
	out.ErrorMessage = in.ErrorMessage
	out.ProviderStatus = (*runtime.RawExtension)(unsafe.Pointer(in.ProviderStatus))
	return nil
}

// Convert_v1alpha1_ClusterStatus_To_cluster_ClusterStatus is an autogenerated conversion function.
func Convert_v1alpha1_ClusterStatus_To_cluster_ClusterStatus(in *ClusterStatus, out *cluster.ClusterStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_ClusterStatus_To_cluster_ClusterStatus(in, out, s)
}

func autoConvert_cluster_ClusterStatus_To_v1alpha1_ClusterStatus(in *cluster.ClusterStatus, out *ClusterStatus, s conversion.Scope) error {
	out.APIEndpoints = *(*[]APIEndpoint)(unsafe.Pointer(&in.APIEndpoints))
	out.ErrorReason = common.ClusterStatusError(in.ErrorReason)
	out.ErrorMessage = in.ErrorMessage
	out.ProviderStatus = (*runtime.RawExtension)(unsafe.Pointer(in.ProviderStatus))
	return nil
}

// Convert_cluster_ClusterStatus_To_v1alpha1_ClusterStatus is an autogenerated conversion function.
func Convert_cluster_ClusterStatus_To_v1alpha1_ClusterStatus(in *cluster.ClusterStatus, out *ClusterStatus, s conversion.Scope) error {
	return autoConvert_cluster_ClusterStatus_To_v1alpha1_ClusterStatus(in, out, s)
}

func autoConvert_v1alpha1_ClusterStatusStrategy_To_cluster_ClusterStatusStrategy(in *ClusterStatusStrategy, out *cluster.ClusterStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_v1alpha1_ClusterStatusStrategy_To_cluster_ClusterStatusStrategy is an autogenerated conversion function.
func Convert_v1alpha1_ClusterStatusStrategy_To_cluster_ClusterStatusStrategy(in *ClusterStatusStrategy, out *cluster.ClusterStatusStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_ClusterStatusStrategy_To_cluster_ClusterStatusStrategy(in, out, s)
}

func autoConvert_cluster_ClusterStatusStrategy_To_v1alpha1_ClusterStatusStrategy(in *cluster.ClusterStatusStrategy, out *ClusterStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_cluster_ClusterStatusStrategy_To_v1alpha1_ClusterStatusStrategy is an autogenerated conversion function.
func Convert_cluster_ClusterStatusStrategy_To_v1alpha1_ClusterStatusStrategy(in *cluster.ClusterStatusStrategy, out *ClusterStatusStrategy, s conversion.Scope) error {
	return autoConvert_cluster_ClusterStatusStrategy_To_v1alpha1_ClusterStatusStrategy(in, out, s)
}

func autoConvert_v1alpha1_ClusterStrategy_To_cluster_ClusterStrategy(in *ClusterStrategy, out *cluster.ClusterStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_v1alpha1_ClusterStrategy_To_cluster_ClusterStrategy is an autogenerated conversion function.
func Convert_v1alpha1_ClusterStrategy_To_cluster_ClusterStrategy(in *ClusterStrategy, out *cluster.ClusterStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_ClusterStrategy_To_cluster_ClusterStrategy(in, out, s)
}

func autoConvert_cluster_ClusterStrategy_To_v1alpha1_ClusterStrategy(in *cluster.ClusterStrategy, out *ClusterStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_cluster_ClusterStrategy_To_v1alpha1_ClusterStrategy is an autogenerated conversion function.
func Convert_cluster_ClusterStrategy_To_v1alpha1_ClusterStrategy(in *cluster.ClusterStrategy, out *ClusterStrategy, s conversion.Scope) error {
	return autoConvert_cluster_ClusterStrategy_To_v1alpha1_ClusterStrategy(in, out, s)
}

func autoConvert_v1alpha1_Machine_To_cluster_Machine(in *Machine, out *cluster.Machine, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_MachineSpec_To_cluster_MachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_MachineStatus_To_cluster_MachineStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_Machine_To_cluster_Machine is an autogenerated conversion function.
func Convert_v1alpha1_Machine_To_cluster_Machine(in *Machine, out *cluster.Machine, s conversion.Scope) error {
	return autoConvert_v1alpha1_Machine_To_cluster_Machine(in, out, s)
}

func autoConvert_cluster_Machine_To_v1alpha1_Machine(in *cluster.Machine, out *Machine, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_cluster_MachineSpec_To_v1alpha1_MachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_cluster_MachineStatus_To_v1alpha1_MachineStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_Machine_To_v1alpha1_Machine is an autogenerated conversion function.
func Convert_cluster_Machine_To_v1alpha1_Machine(in *cluster.Machine, out *Machine, s conversion.Scope) error {
	return autoConvert_cluster_Machine_To_v1alpha1_Machine(in, out, s)
}

func autoConvert_v1alpha1_MachineDeployment_To_cluster_MachineDeployment(in *MachineDeployment, out *cluster.MachineDeployment, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_MachineDeploymentSpec_To_cluster_MachineDeploymentSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_MachineDeploymentStatus_To_cluster_MachineDeploymentStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_MachineDeployment_To_cluster_MachineDeployment is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeployment_To_cluster_MachineDeployment(in *MachineDeployment, out *cluster.MachineDeployment, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeployment_To_cluster_MachineDeployment(in, out, s)
}

func autoConvert_cluster_MachineDeployment_To_v1alpha1_MachineDeployment(in *cluster.MachineDeployment, out *MachineDeployment, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_cluster_MachineDeploymentSpec_To_v1alpha1_MachineDeploymentSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_cluster_MachineDeploymentStatus_To_v1alpha1_MachineDeploymentStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_MachineDeployment_To_v1alpha1_MachineDeployment is an autogenerated conversion function.
func Convert_cluster_MachineDeployment_To_v1alpha1_MachineDeployment(in *cluster.MachineDeployment, out *MachineDeployment, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeployment_To_v1alpha1_MachineDeployment(in, out, s)
}

func autoConvert_v1alpha1_MachineDeploymentList_To_cluster_MachineDeploymentList(in *MachineDeploymentList, out *cluster.MachineDeploymentList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]cluster.MachineDeployment)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_MachineDeploymentList_To_cluster_MachineDeploymentList is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeploymentList_To_cluster_MachineDeploymentList(in *MachineDeploymentList, out *cluster.MachineDeploymentList, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeploymentList_To_cluster_MachineDeploymentList(in, out, s)
}

func autoConvert_cluster_MachineDeploymentList_To_v1alpha1_MachineDeploymentList(in *cluster.MachineDeploymentList, out *MachineDeploymentList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]MachineDeployment)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_cluster_MachineDeploymentList_To_v1alpha1_MachineDeploymentList is an autogenerated conversion function.
func Convert_cluster_MachineDeploymentList_To_v1alpha1_MachineDeploymentList(in *cluster.MachineDeploymentList, out *MachineDeploymentList, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeploymentList_To_v1alpha1_MachineDeploymentList(in, out, s)
}

func autoConvert_v1alpha1_MachineDeploymentSpec_To_cluster_MachineDeploymentSpec(in *MachineDeploymentSpec, out *cluster.MachineDeploymentSpec, s conversion.Scope) error {
	out.Replicas = (*int32)(unsafe.Pointer(in.Replicas))
	out.Selector = in.Selector
	if err := Convert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec(&in.Template, &out.Template, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_MachineDeploymentStrategy_To_cluster_MachineDeploymentStrategy(&in.Strategy, &out.Strategy, s); err != nil {
		return err
	}
	out.MinReadySeconds = (*int32)(unsafe.Pointer(in.MinReadySeconds))
	out.RevisionHistoryLimit = (*int32)(unsafe.Pointer(in.RevisionHistoryLimit))
	out.Paused = in.Paused
	out.ProgressDeadlineSeconds = (*int32)(unsafe.Pointer(in.ProgressDeadlineSeconds))
	return nil
}

// Convert_v1alpha1_MachineDeploymentSpec_To_cluster_MachineDeploymentSpec is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeploymentSpec_To_cluster_MachineDeploymentSpec(in *MachineDeploymentSpec, out *cluster.MachineDeploymentSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeploymentSpec_To_cluster_MachineDeploymentSpec(in, out, s)
}

func autoConvert_cluster_MachineDeploymentSpec_To_v1alpha1_MachineDeploymentSpec(in *cluster.MachineDeploymentSpec, out *MachineDeploymentSpec, s conversion.Scope) error {
	out.Replicas = (*int32)(unsafe.Pointer(in.Replicas))
	out.Selector = in.Selector
	if err := Convert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec(&in.Template, &out.Template, s); err != nil {
		return err
	}
	if err := Convert_cluster_MachineDeploymentStrategy_To_v1alpha1_MachineDeploymentStrategy(&in.Strategy, &out.Strategy, s); err != nil {
		return err
	}
	out.MinReadySeconds = (*int32)(unsafe.Pointer(in.MinReadySeconds))
	out.RevisionHistoryLimit = (*int32)(unsafe.Pointer(in.RevisionHistoryLimit))
	out.Paused = in.Paused
	out.ProgressDeadlineSeconds = (*int32)(unsafe.Pointer(in.ProgressDeadlineSeconds))
	return nil
}

// Convert_cluster_MachineDeploymentSpec_To_v1alpha1_MachineDeploymentSpec is an autogenerated conversion function.
func Convert_cluster_MachineDeploymentSpec_To_v1alpha1_MachineDeploymentSpec(in *cluster.MachineDeploymentSpec, out *MachineDeploymentSpec, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeploymentSpec_To_v1alpha1_MachineDeploymentSpec(in, out, s)
}

func autoConvert_v1alpha1_MachineDeploymentStatus_To_cluster_MachineDeploymentStatus(in *MachineDeploymentStatus, out *cluster.MachineDeploymentStatus, s conversion.Scope) error {
	out.ObservedGeneration = in.ObservedGeneration
	out.Replicas = in.Replicas
	out.UpdatedReplicas = in.UpdatedReplicas
	out.ReadyReplicas = in.ReadyReplicas
	out.AvailableReplicas = in.AvailableReplicas
	out.UnavailableReplicas = in.UnavailableReplicas
	return nil
}

// Convert_v1alpha1_MachineDeploymentStatus_To_cluster_MachineDeploymentStatus is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeploymentStatus_To_cluster_MachineDeploymentStatus(in *MachineDeploymentStatus, out *cluster.MachineDeploymentStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeploymentStatus_To_cluster_MachineDeploymentStatus(in, out, s)
}

func autoConvert_cluster_MachineDeploymentStatus_To_v1alpha1_MachineDeploymentStatus(in *cluster.MachineDeploymentStatus, out *MachineDeploymentStatus, s conversion.Scope) error {
	out.ObservedGeneration = in.ObservedGeneration
	out.Replicas = in.Replicas
	out.UpdatedReplicas = in.UpdatedReplicas
	out.ReadyReplicas = in.ReadyReplicas
	out.AvailableReplicas = in.AvailableReplicas
	out.UnavailableReplicas = in.UnavailableReplicas
	return nil
}

// Convert_cluster_MachineDeploymentStatus_To_v1alpha1_MachineDeploymentStatus is an autogenerated conversion function.
func Convert_cluster_MachineDeploymentStatus_To_v1alpha1_MachineDeploymentStatus(in *cluster.MachineDeploymentStatus, out *MachineDeploymentStatus, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeploymentStatus_To_v1alpha1_MachineDeploymentStatus(in, out, s)
}

func autoConvert_v1alpha1_MachineDeploymentStrategy_To_cluster_MachineDeploymentStrategy(in *MachineDeploymentStrategy, out *cluster.MachineDeploymentStrategy, s conversion.Scope) error {
	out.Type = common.MachineDeploymentStrategyType(in.Type)
	out.RollingUpdate = (*cluster.MachineRollingUpdateDeployment)(unsafe.Pointer(in.RollingUpdate))
	return nil
}

// Convert_v1alpha1_MachineDeploymentStrategy_To_cluster_MachineDeploymentStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeploymentStrategy_To_cluster_MachineDeploymentStrategy(in *MachineDeploymentStrategy, out *cluster.MachineDeploymentStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeploymentStrategy_To_cluster_MachineDeploymentStrategy(in, out, s)
}

func autoConvert_cluster_MachineDeploymentStrategy_To_v1alpha1_MachineDeploymentStrategy(in *cluster.MachineDeploymentStrategy, out *MachineDeploymentStrategy, s conversion.Scope) error {
	out.Type = common.MachineDeploymentStrategyType(in.Type)
	out.RollingUpdate = (*MachineRollingUpdateDeployment)(unsafe.Pointer(in.RollingUpdate))
	return nil
}

// Convert_cluster_MachineDeploymentStrategy_To_v1alpha1_MachineDeploymentStrategy is an autogenerated conversion function.
func Convert_cluster_MachineDeploymentStrategy_To_v1alpha1_MachineDeploymentStrategy(in *cluster.MachineDeploymentStrategy, out *MachineDeploymentStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeploymentStrategy_To_v1alpha1_MachineDeploymentStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineDeploymentValidationStatusStrategy_To_cluster_MachineDeploymentValidationStatusStrategy(in *MachineDeploymentValidationStatusStrategy, out *cluster.MachineDeploymentValidationStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_v1alpha1_MachineDeploymentValidationStatusStrategy_To_cluster_MachineDeploymentValidationStatusStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeploymentValidationStatusStrategy_To_cluster_MachineDeploymentValidationStatusStrategy(in *MachineDeploymentValidationStatusStrategy, out *cluster.MachineDeploymentValidationStatusStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeploymentValidationStatusStrategy_To_cluster_MachineDeploymentValidationStatusStrategy(in, out, s)
}

func autoConvert_cluster_MachineDeploymentValidationStatusStrategy_To_v1alpha1_MachineDeploymentValidationStatusStrategy(in *cluster.MachineDeploymentValidationStatusStrategy, out *MachineDeploymentValidationStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_cluster_MachineDeploymentValidationStatusStrategy_To_v1alpha1_MachineDeploymentValidationStatusStrategy is an autogenerated conversion function.
func Convert_cluster_MachineDeploymentValidationStatusStrategy_To_v1alpha1_MachineDeploymentValidationStatusStrategy(in *cluster.MachineDeploymentValidationStatusStrategy, out *MachineDeploymentValidationStatusStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeploymentValidationStatusStrategy_To_v1alpha1_MachineDeploymentValidationStatusStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineDeploymentValidationStrategy_To_cluster_MachineDeploymentValidationStrategy(in *MachineDeploymentValidationStrategy, out *cluster.MachineDeploymentValidationStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_v1alpha1_MachineDeploymentValidationStrategy_To_cluster_MachineDeploymentValidationStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineDeploymentValidationStrategy_To_cluster_MachineDeploymentValidationStrategy(in *MachineDeploymentValidationStrategy, out *cluster.MachineDeploymentValidationStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineDeploymentValidationStrategy_To_cluster_MachineDeploymentValidationStrategy(in, out, s)
}

func autoConvert_cluster_MachineDeploymentValidationStrategy_To_v1alpha1_MachineDeploymentValidationStrategy(in *cluster.MachineDeploymentValidationStrategy, out *MachineDeploymentValidationStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_cluster_MachineDeploymentValidationStrategy_To_v1alpha1_MachineDeploymentValidationStrategy is an autogenerated conversion function.
func Convert_cluster_MachineDeploymentValidationStrategy_To_v1alpha1_MachineDeploymentValidationStrategy(in *cluster.MachineDeploymentValidationStrategy, out *MachineDeploymentValidationStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineDeploymentValidationStrategy_To_v1alpha1_MachineDeploymentValidationStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineList_To_cluster_MachineList(in *MachineList, out *cluster.MachineList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]cluster.Machine)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_MachineList_To_cluster_MachineList is an autogenerated conversion function.
func Convert_v1alpha1_MachineList_To_cluster_MachineList(in *MachineList, out *cluster.MachineList, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineList_To_cluster_MachineList(in, out, s)
}

func autoConvert_cluster_MachineList_To_v1alpha1_MachineList(in *cluster.MachineList, out *MachineList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]Machine)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_cluster_MachineList_To_v1alpha1_MachineList is an autogenerated conversion function.
func Convert_cluster_MachineList_To_v1alpha1_MachineList(in *cluster.MachineList, out *MachineList, s conversion.Scope) error {
	return autoConvert_cluster_MachineList_To_v1alpha1_MachineList(in, out, s)
}

func autoConvert_v1alpha1_MachineRollingUpdateDeployment_To_cluster_MachineRollingUpdateDeployment(in *MachineRollingUpdateDeployment, out *cluster.MachineRollingUpdateDeployment, s conversion.Scope) error {
	out.MaxUnavailable = (*intstr.IntOrString)(unsafe.Pointer(in.MaxUnavailable))
	out.MaxSurge = (*intstr.IntOrString)(unsafe.Pointer(in.MaxSurge))
	return nil
}

// Convert_v1alpha1_MachineRollingUpdateDeployment_To_cluster_MachineRollingUpdateDeployment is an autogenerated conversion function.
func Convert_v1alpha1_MachineRollingUpdateDeployment_To_cluster_MachineRollingUpdateDeployment(in *MachineRollingUpdateDeployment, out *cluster.MachineRollingUpdateDeployment, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineRollingUpdateDeployment_To_cluster_MachineRollingUpdateDeployment(in, out, s)
}

func autoConvert_cluster_MachineRollingUpdateDeployment_To_v1alpha1_MachineRollingUpdateDeployment(in *cluster.MachineRollingUpdateDeployment, out *MachineRollingUpdateDeployment, s conversion.Scope) error {
	out.MaxUnavailable = (*intstr.IntOrString)(unsafe.Pointer(in.MaxUnavailable))
	out.MaxSurge = (*intstr.IntOrString)(unsafe.Pointer(in.MaxSurge))
	return nil
}

// Convert_cluster_MachineRollingUpdateDeployment_To_v1alpha1_MachineRollingUpdateDeployment is an autogenerated conversion function.
func Convert_cluster_MachineRollingUpdateDeployment_To_v1alpha1_MachineRollingUpdateDeployment(in *cluster.MachineRollingUpdateDeployment, out *MachineRollingUpdateDeployment, s conversion.Scope) error {
	return autoConvert_cluster_MachineRollingUpdateDeployment_To_v1alpha1_MachineRollingUpdateDeployment(in, out, s)
}

func autoConvert_v1alpha1_MachineSet_To_cluster_MachineSet(in *MachineSet, out *cluster.MachineSet, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_MachineSetSpec_To_cluster_MachineSetSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_MachineSetStatus_To_cluster_MachineSetStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_MachineSet_To_cluster_MachineSet is an autogenerated conversion function.
func Convert_v1alpha1_MachineSet_To_cluster_MachineSet(in *MachineSet, out *cluster.MachineSet, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSet_To_cluster_MachineSet(in, out, s)
}

func autoConvert_cluster_MachineSet_To_v1alpha1_MachineSet(in *cluster.MachineSet, out *MachineSet, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_cluster_MachineSetSpec_To_v1alpha1_MachineSetSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_cluster_MachineSetStatus_To_v1alpha1_MachineSetStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_MachineSet_To_v1alpha1_MachineSet is an autogenerated conversion function.
func Convert_cluster_MachineSet_To_v1alpha1_MachineSet(in *cluster.MachineSet, out *MachineSet, s conversion.Scope) error {
	return autoConvert_cluster_MachineSet_To_v1alpha1_MachineSet(in, out, s)
}

func autoConvert_v1alpha1_MachineSetList_To_cluster_MachineSetList(in *MachineSetList, out *cluster.MachineSetList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]cluster.MachineSet)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_v1alpha1_MachineSetList_To_cluster_MachineSetList is an autogenerated conversion function.
func Convert_v1alpha1_MachineSetList_To_cluster_MachineSetList(in *MachineSetList, out *cluster.MachineSetList, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSetList_To_cluster_MachineSetList(in, out, s)
}

func autoConvert_cluster_MachineSetList_To_v1alpha1_MachineSetList(in *cluster.MachineSetList, out *MachineSetList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	out.Items = *(*[]MachineSet)(unsafe.Pointer(&in.Items))
	return nil
}

// Convert_cluster_MachineSetList_To_v1alpha1_MachineSetList is an autogenerated conversion function.
func Convert_cluster_MachineSetList_To_v1alpha1_MachineSetList(in *cluster.MachineSetList, out *MachineSetList, s conversion.Scope) error {
	return autoConvert_cluster_MachineSetList_To_v1alpha1_MachineSetList(in, out, s)
}

func autoConvert_v1alpha1_MachineSetSpec_To_cluster_MachineSetSpec(in *MachineSetSpec, out *cluster.MachineSetSpec, s conversion.Scope) error {
	out.Replicas = (*int32)(unsafe.Pointer(in.Replicas))
	out.MinReadySeconds = in.MinReadySeconds
	out.Selector = in.Selector
	if err := Convert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec(&in.Template, &out.Template, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_MachineSetSpec_To_cluster_MachineSetSpec is an autogenerated conversion function.
func Convert_v1alpha1_MachineSetSpec_To_cluster_MachineSetSpec(in *MachineSetSpec, out *cluster.MachineSetSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSetSpec_To_cluster_MachineSetSpec(in, out, s)
}

func autoConvert_cluster_MachineSetSpec_To_v1alpha1_MachineSetSpec(in *cluster.MachineSetSpec, out *MachineSetSpec, s conversion.Scope) error {
	out.Replicas = (*int32)(unsafe.Pointer(in.Replicas))
	out.MinReadySeconds = in.MinReadySeconds
	out.Selector = in.Selector
	if err := Convert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec(&in.Template, &out.Template, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_MachineSetSpec_To_v1alpha1_MachineSetSpec is an autogenerated conversion function.
func Convert_cluster_MachineSetSpec_To_v1alpha1_MachineSetSpec(in *cluster.MachineSetSpec, out *MachineSetSpec, s conversion.Scope) error {
	return autoConvert_cluster_MachineSetSpec_To_v1alpha1_MachineSetSpec(in, out, s)
}

func autoConvert_v1alpha1_MachineSetStatus_To_cluster_MachineSetStatus(in *MachineSetStatus, out *cluster.MachineSetStatus, s conversion.Scope) error {
	out.Replicas = in.Replicas
	out.FullyLabeledReplicas = in.FullyLabeledReplicas
	out.ReadyReplicas = in.ReadyReplicas
	out.AvailableReplicas = in.AvailableReplicas
	out.ObservedGeneration = in.ObservedGeneration
	out.ErrorReason = (*common.MachineSetStatusError)(unsafe.Pointer(in.ErrorReason))
	out.ErrorMessage = (*string)(unsafe.Pointer(in.ErrorMessage))
	return nil
}

// Convert_v1alpha1_MachineSetStatus_To_cluster_MachineSetStatus is an autogenerated conversion function.
func Convert_v1alpha1_MachineSetStatus_To_cluster_MachineSetStatus(in *MachineSetStatus, out *cluster.MachineSetStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSetStatus_To_cluster_MachineSetStatus(in, out, s)
}

func autoConvert_cluster_MachineSetStatus_To_v1alpha1_MachineSetStatus(in *cluster.MachineSetStatus, out *MachineSetStatus, s conversion.Scope) error {
	out.Replicas = in.Replicas
	out.FullyLabeledReplicas = in.FullyLabeledReplicas
	out.ReadyReplicas = in.ReadyReplicas
	out.AvailableReplicas = in.AvailableReplicas
	out.ObservedGeneration = in.ObservedGeneration
	out.ErrorReason = (*common.MachineSetStatusError)(unsafe.Pointer(in.ErrorReason))
	out.ErrorMessage = (*string)(unsafe.Pointer(in.ErrorMessage))
	return nil
}

// Convert_cluster_MachineSetStatus_To_v1alpha1_MachineSetStatus is an autogenerated conversion function.
func Convert_cluster_MachineSetStatus_To_v1alpha1_MachineSetStatus(in *cluster.MachineSetStatus, out *MachineSetStatus, s conversion.Scope) error {
	return autoConvert_cluster_MachineSetStatus_To_v1alpha1_MachineSetStatus(in, out, s)
}

func autoConvert_v1alpha1_MachineSetStatusStrategy_To_cluster_MachineSetStatusStrategy(in *MachineSetStatusStrategy, out *cluster.MachineSetStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_v1alpha1_MachineSetStatusStrategy_To_cluster_MachineSetStatusStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineSetStatusStrategy_To_cluster_MachineSetStatusStrategy(in *MachineSetStatusStrategy, out *cluster.MachineSetStatusStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSetStatusStrategy_To_cluster_MachineSetStatusStrategy(in, out, s)
}

func autoConvert_cluster_MachineSetStatusStrategy_To_v1alpha1_MachineSetStatusStrategy(in *cluster.MachineSetStatusStrategy, out *MachineSetStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_cluster_MachineSetStatusStrategy_To_v1alpha1_MachineSetStatusStrategy is an autogenerated conversion function.
func Convert_cluster_MachineSetStatusStrategy_To_v1alpha1_MachineSetStatusStrategy(in *cluster.MachineSetStatusStrategy, out *MachineSetStatusStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineSetStatusStrategy_To_v1alpha1_MachineSetStatusStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineSetStrategy_To_cluster_MachineSetStrategy(in *MachineSetStrategy, out *cluster.MachineSetStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_v1alpha1_MachineSetStrategy_To_cluster_MachineSetStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineSetStrategy_To_cluster_MachineSetStrategy(in *MachineSetStrategy, out *cluster.MachineSetStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSetStrategy_To_cluster_MachineSetStrategy(in, out, s)
}

func autoConvert_cluster_MachineSetStrategy_To_v1alpha1_MachineSetStrategy(in *cluster.MachineSetStrategy, out *MachineSetStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_cluster_MachineSetStrategy_To_v1alpha1_MachineSetStrategy is an autogenerated conversion function.
func Convert_cluster_MachineSetStrategy_To_v1alpha1_MachineSetStrategy(in *cluster.MachineSetStrategy, out *MachineSetStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineSetStrategy_To_v1alpha1_MachineSetStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineSpec_To_cluster_MachineSpec(in *MachineSpec, out *cluster.MachineSpec, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	if err := Convert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig(&in.ProviderConfig, &out.ProviderConfig, s); err != nil {
		return err
	}
	if err := Convert_v1alpha1_MachineVersionInfo_To_cluster_MachineVersionInfo(&in.Versions, &out.Versions, s); err != nil {
		return err
	}
	out.ConfigSource = (*v1.NodeConfigSource)(unsafe.Pointer(in.ConfigSource))
	return nil
}

// Convert_v1alpha1_MachineSpec_To_cluster_MachineSpec is an autogenerated conversion function.
func Convert_v1alpha1_MachineSpec_To_cluster_MachineSpec(in *MachineSpec, out *cluster.MachineSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineSpec_To_cluster_MachineSpec(in, out, s)
}

func autoConvert_cluster_MachineSpec_To_v1alpha1_MachineSpec(in *cluster.MachineSpec, out *MachineSpec, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	if err := Convert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig(&in.ProviderConfig, &out.ProviderConfig, s); err != nil {
		return err
	}
	if err := Convert_cluster_MachineVersionInfo_To_v1alpha1_MachineVersionInfo(&in.Versions, &out.Versions, s); err != nil {
		return err
	}
	out.ConfigSource = (*v1.NodeConfigSource)(unsafe.Pointer(in.ConfigSource))
	return nil
}

// Convert_cluster_MachineSpec_To_v1alpha1_MachineSpec is an autogenerated conversion function.
func Convert_cluster_MachineSpec_To_v1alpha1_MachineSpec(in *cluster.MachineSpec, out *MachineSpec, s conversion.Scope) error {
	return autoConvert_cluster_MachineSpec_To_v1alpha1_MachineSpec(in, out, s)
}

func autoConvert_v1alpha1_MachineStatus_To_cluster_MachineStatus(in *MachineStatus, out *cluster.MachineStatus, s conversion.Scope) error {
	out.NodeRef = (*v1.ObjectReference)(unsafe.Pointer(in.NodeRef))
	out.LastUpdated = in.LastUpdated
	out.Versions = (*cluster.MachineVersionInfo)(unsafe.Pointer(in.Versions))
	out.ErrorReason = (*common.MachineStatusError)(unsafe.Pointer(in.ErrorReason))
	out.ErrorMessage = (*string)(unsafe.Pointer(in.ErrorMessage))
	out.ProviderStatus = (*runtime.RawExtension)(unsafe.Pointer(in.ProviderStatus))
	out.Addresses = *(*[]v1.NodeAddress)(unsafe.Pointer(&in.Addresses))
	out.Conditions = *(*[]v1.NodeCondition)(unsafe.Pointer(&in.Conditions))
	return nil
}

// Convert_v1alpha1_MachineStatus_To_cluster_MachineStatus is an autogenerated conversion function.
func Convert_v1alpha1_MachineStatus_To_cluster_MachineStatus(in *MachineStatus, out *cluster.MachineStatus, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineStatus_To_cluster_MachineStatus(in, out, s)
}

func autoConvert_cluster_MachineStatus_To_v1alpha1_MachineStatus(in *cluster.MachineStatus, out *MachineStatus, s conversion.Scope) error {
	out.NodeRef = (*v1.ObjectReference)(unsafe.Pointer(in.NodeRef))
	out.LastUpdated = in.LastUpdated
	out.Versions = (*MachineVersionInfo)(unsafe.Pointer(in.Versions))
	out.ErrorReason = (*common.MachineStatusError)(unsafe.Pointer(in.ErrorReason))
	out.ErrorMessage = (*string)(unsafe.Pointer(in.ErrorMessage))
	out.ProviderStatus = (*runtime.RawExtension)(unsafe.Pointer(in.ProviderStatus))
	out.Addresses = *(*[]v1.NodeAddress)(unsafe.Pointer(&in.Addresses))
	out.Conditions = *(*[]v1.NodeCondition)(unsafe.Pointer(&in.Conditions))
	return nil
}

// Convert_cluster_MachineStatus_To_v1alpha1_MachineStatus is an autogenerated conversion function.
func Convert_cluster_MachineStatus_To_v1alpha1_MachineStatus(in *cluster.MachineStatus, out *MachineStatus, s conversion.Scope) error {
	return autoConvert_cluster_MachineStatus_To_v1alpha1_MachineStatus(in, out, s)
}

func autoConvert_v1alpha1_MachineStatusStrategy_To_cluster_MachineStatusStrategy(in *MachineStatusStrategy, out *cluster.MachineStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_v1alpha1_MachineStatusStrategy_To_cluster_MachineStatusStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineStatusStrategy_To_cluster_MachineStatusStrategy(in *MachineStatusStrategy, out *cluster.MachineStatusStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineStatusStrategy_To_cluster_MachineStatusStrategy(in, out, s)
}

func autoConvert_cluster_MachineStatusStrategy_To_v1alpha1_MachineStatusStrategy(in *cluster.MachineStatusStrategy, out *MachineStatusStrategy, s conversion.Scope) error {
	out.DefaultStatusStorageStrategy = in.DefaultStatusStorageStrategy
	return nil
}

// Convert_cluster_MachineStatusStrategy_To_v1alpha1_MachineStatusStrategy is an autogenerated conversion function.
func Convert_cluster_MachineStatusStrategy_To_v1alpha1_MachineStatusStrategy(in *cluster.MachineStatusStrategy, out *MachineStatusStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineStatusStrategy_To_v1alpha1_MachineStatusStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineStrategy_To_cluster_MachineStrategy(in *MachineStrategy, out *cluster.MachineStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_v1alpha1_MachineStrategy_To_cluster_MachineStrategy is an autogenerated conversion function.
func Convert_v1alpha1_MachineStrategy_To_cluster_MachineStrategy(in *MachineStrategy, out *cluster.MachineStrategy, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineStrategy_To_cluster_MachineStrategy(in, out, s)
}

func autoConvert_cluster_MachineStrategy_To_v1alpha1_MachineStrategy(in *cluster.MachineStrategy, out *MachineStrategy, s conversion.Scope) error {
	out.DefaultStorageStrategy = in.DefaultStorageStrategy
	return nil
}

// Convert_cluster_MachineStrategy_To_v1alpha1_MachineStrategy is an autogenerated conversion function.
func Convert_cluster_MachineStrategy_To_v1alpha1_MachineStrategy(in *cluster.MachineStrategy, out *MachineStrategy, s conversion.Scope) error {
	return autoConvert_cluster_MachineStrategy_To_v1alpha1_MachineStrategy(in, out, s)
}

func autoConvert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec(in *MachineTemplateSpec, out *cluster.MachineTemplateSpec, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha1_MachineSpec_To_cluster_MachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec is an autogenerated conversion function.
func Convert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec(in *MachineTemplateSpec, out *cluster.MachineTemplateSpec, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineTemplateSpec_To_cluster_MachineTemplateSpec(in, out, s)
}

func autoConvert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec(in *cluster.MachineTemplateSpec, out *MachineTemplateSpec, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_cluster_MachineSpec_To_v1alpha1_MachineSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	return nil
}

// Convert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec is an autogenerated conversion function.
func Convert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec(in *cluster.MachineTemplateSpec, out *MachineTemplateSpec, s conversion.Scope) error {
	return autoConvert_cluster_MachineTemplateSpec_To_v1alpha1_MachineTemplateSpec(in, out, s)
}

func autoConvert_v1alpha1_MachineVersionInfo_To_cluster_MachineVersionInfo(in *MachineVersionInfo, out *cluster.MachineVersionInfo, s conversion.Scope) error {
	out.Kubelet = in.Kubelet
	out.ControlPlane = in.ControlPlane
	return nil
}

// Convert_v1alpha1_MachineVersionInfo_To_cluster_MachineVersionInfo is an autogenerated conversion function.
func Convert_v1alpha1_MachineVersionInfo_To_cluster_MachineVersionInfo(in *MachineVersionInfo, out *cluster.MachineVersionInfo, s conversion.Scope) error {
	return autoConvert_v1alpha1_MachineVersionInfo_To_cluster_MachineVersionInfo(in, out, s)
}

func autoConvert_cluster_MachineVersionInfo_To_v1alpha1_MachineVersionInfo(in *cluster.MachineVersionInfo, out *MachineVersionInfo, s conversion.Scope) error {
	out.Kubelet = in.Kubelet
	out.ControlPlane = in.ControlPlane
	return nil
}

// Convert_cluster_MachineVersionInfo_To_v1alpha1_MachineVersionInfo is an autogenerated conversion function.
func Convert_cluster_MachineVersionInfo_To_v1alpha1_MachineVersionInfo(in *cluster.MachineVersionInfo, out *MachineVersionInfo, s conversion.Scope) error {
	return autoConvert_cluster_MachineVersionInfo_To_v1alpha1_MachineVersionInfo(in, out, s)
}

func autoConvert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges(in *NetworkRanges, out *cluster.NetworkRanges, s conversion.Scope) error {
	out.CIDRBlocks = *(*[]string)(unsafe.Pointer(&in.CIDRBlocks))
	return nil
}

// Convert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges is an autogenerated conversion function.
func Convert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges(in *NetworkRanges, out *cluster.NetworkRanges, s conversion.Scope) error {
	return autoConvert_v1alpha1_NetworkRanges_To_cluster_NetworkRanges(in, out, s)
}

func autoConvert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges(in *cluster.NetworkRanges, out *NetworkRanges, s conversion.Scope) error {
	out.CIDRBlocks = *(*[]string)(unsafe.Pointer(&in.CIDRBlocks))
	return nil
}

// Convert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges is an autogenerated conversion function.
func Convert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges(in *cluster.NetworkRanges, out *NetworkRanges, s conversion.Scope) error {
	return autoConvert_cluster_NetworkRanges_To_v1alpha1_NetworkRanges(in, out, s)
}

func autoConvert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig(in *ProviderConfig, out *cluster.ProviderConfig, s conversion.Scope) error {
	out.Value = (*runtime.RawExtension)(unsafe.Pointer(in.Value))
	out.ValueFrom = (*cluster.ProviderConfigSource)(unsafe.Pointer(in.ValueFrom))
	return nil
}

// Convert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig is an autogenerated conversion function.
func Convert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig(in *ProviderConfig, out *cluster.ProviderConfig, s conversion.Scope) error {
	return autoConvert_v1alpha1_ProviderConfig_To_cluster_ProviderConfig(in, out, s)
}

func autoConvert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig(in *cluster.ProviderConfig, out *ProviderConfig, s conversion.Scope) error {
	out.Value = (*runtime.RawExtension)(unsafe.Pointer(in.Value))
	out.ValueFrom = (*ProviderConfigSource)(unsafe.Pointer(in.ValueFrom))
	return nil
}

// Convert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig is an autogenerated conversion function.
func Convert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig(in *cluster.ProviderConfig, out *ProviderConfig, s conversion.Scope) error {
	return autoConvert_cluster_ProviderConfig_To_v1alpha1_ProviderConfig(in, out, s)
}

func autoConvert_v1alpha1_ProviderConfigSource_To_cluster_ProviderConfigSource(in *ProviderConfigSource, out *cluster.ProviderConfigSource, s conversion.Scope) error {
	return nil
}

// Convert_v1alpha1_ProviderConfigSource_To_cluster_ProviderConfigSource is an autogenerated conversion function.
func Convert_v1alpha1_ProviderConfigSource_To_cluster_ProviderConfigSource(in *ProviderConfigSource, out *cluster.ProviderConfigSource, s conversion.Scope) error {
	return autoConvert_v1alpha1_ProviderConfigSource_To_cluster_ProviderConfigSource(in, out, s)
}

func autoConvert_cluster_ProviderConfigSource_To_v1alpha1_ProviderConfigSource(in *cluster.ProviderConfigSource, out *ProviderConfigSource, s conversion.Scope) error {
	return nil
}

// Convert_cluster_ProviderConfigSource_To_v1alpha1_ProviderConfigSource is an autogenerated conversion function.
func Convert_cluster_ProviderConfigSource_To_v1alpha1_ProviderConfigSource(in *cluster.ProviderConfigSource, out *ProviderConfigSource, s conversion.Scope) error {
	return autoConvert_cluster_ProviderConfigSource_To_v1alpha1_ProviderConfigSource(in, out, s)
}
